summaryrefslogtreecommitdiff
path: root/dev-ruby
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby')
-rw-r--r--dev-ruby/forwardable/Manifest1
-rw-r--r--dev-ruby/forwardable/forwardable-1.3.2.ebuild31
-rw-r--r--dev-ruby/forwardable/metadata.xml10
-rw-r--r--dev-ruby/prime/Manifest1
-rw-r--r--dev-ruby/prime/metadata.xml10
-rw-r--r--dev-ruby/prime/prime-0.1.2.ebuild29
-rw-r--r--dev-ruby/singleton/Manifest1
-rw-r--r--dev-ruby/singleton/metadata.xml10
-rw-r--r--dev-ruby/singleton/singleton-0.1.1.ebuild31
-rw-r--r--dev-ruby/thor/thor-1.2.1.ebuild3
-rw-r--r--dev-ruby/webmock/webmock-3.14.0.ebuild12
11 files changed, 130 insertions, 9 deletions
diff --git a/dev-ruby/forwardable/Manifest b/dev-ruby/forwardable/Manifest
new file mode 100644
index 000000000000..d160bb53cbb4
--- /dev/null
+++ b/dev-ruby/forwardable/Manifest
@@ -0,0 +1 @@
+DIST forwardable-1.3.2.tar.gz 16904 BLAKE2B 858068489c9c76e3a711d3b7338f948ac44ef9af9f1792f3fe37fcf3cd7c03201146c7a9f0e2aa7022bca1d705fc285fb9377175e688a500ceb38ee1697b964b SHA512 332eae2ee23fa6c5db334511e79a4d09ee168244420fce718cfd90944fbd03694cf9d2c94b9ad9935deb900a285c8ebf679184c8bdc10de563466d026c9794f7
diff --git a/dev-ruby/forwardable/forwardable-1.3.2.ebuild b/dev-ruby/forwardable/forwardable-1.3.2.ebuild
new file mode 100644
index 000000000000..0ac470471f4c
--- /dev/null
+++ b/dev-ruby/forwardable/forwardable-1.3.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="forwardable.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Provides delegation of specified methods to a designated object"
+HOMEPAGE="https://github.com/ruby/forwardable"
+SRC_URI="https://github.com/ruby/forwardable/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -rhelper -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/forwardable/metadata.xml b/dev-ruby/forwardable/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/forwardable/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/prime/Manifest b/dev-ruby/prime/Manifest
new file mode 100644
index 000000000000..6c571fc28d5f
--- /dev/null
+++ b/dev-ruby/prime/Manifest
@@ -0,0 +1 @@
+DIST prime-0.1.2.tar.gz 9485 BLAKE2B 88db1d22a33405de0bd216baa0a8fa28abc61fe031ae6042a19f0a5c66cf7733b946a52f94165112b45b23331dc68e3168541ec89329ad8d2c016bbf1e33f425 SHA512 a766426884d6b3cd7a586676799db146974ec9a4a7c30ca53b5f279ad55ee9960c9b5bb26988cb66253b4fe974f9b5087f48ef5b216772464d03b8ed78a817d6
diff --git a/dev-ruby/prime/metadata.xml b/dev-ruby/prime/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/prime/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/prime/prime-0.1.2.ebuild b/dev-ruby/prime/prime-0.1.2.ebuild
new file mode 100644
index 000000000000..676926a80163
--- /dev/null
+++ b/dev-ruby/prime/prime-0.1.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="prime.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Prime numbers and factorization library"
+HOMEPAGE="https://github.com/ruby/prime"
+SRC_URI="https://github.com/ruby/prime/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's:_relative ": "./:' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/singleton/Manifest b/dev-ruby/singleton/Manifest
new file mode 100644
index 000000000000..147c82fcab11
--- /dev/null
+++ b/dev-ruby/singleton/Manifest
@@ -0,0 +1 @@
+DIST singleton-0.1.1.tar.gz 4975 BLAKE2B 3957c7d622aaad6a71b5675ad950b2a4622ec520b59075df25a966609e54c2f47581ba35c5a004c67a1a36f50de13dacadbc96ee1fd113790e6793e97131787c SHA512 a0817b42e8b056488b999eca8de09d75efe79e5624f4817289164d90051c92279dc9f8a087e69df89bec913127c460b8b6586fde17b73e08d4ec5b6da4dec18d
diff --git a/dev-ruby/singleton/metadata.xml b/dev-ruby/singleton/metadata.xml
new file mode 100644
index 000000000000..246d194b7ec0
--- /dev/null
+++ b/dev-ruby/singleton/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+
+ <origin>gentoo-staging</origin>
+</pkgmetadata> \ No newline at end of file
diff --git a/dev-ruby/singleton/singleton-0.1.1.ebuild b/dev-ruby/singleton/singleton-0.1.1.ebuild
new file mode 100644
index 000000000000..cabbd7428cfa
--- /dev/null
+++ b/dev-ruby/singleton/singleton-0.1.1.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27 ruby30 ruby31"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="README.md"
+RUBY_FAKEGEM_GEMSPEC="singleton.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="The Singleton module implements the Singleton pattern"
+HOMEPAGE="https://github.com/ruby/singleton"
+SRC_URI="https://github.com/ruby/singleton/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE=""
+
+all_ruby_prepare() {
+ sed -e 's/__dir__/"."/' \
+ -e 's/__FILE__/"'${RUBY_FAKEGEM_GEMSPEC}'"/' \
+ -e 's/git ls-files -z/find * -print0/' \
+ -i ${RUBY_FAKEGEM_GEMSPEC} || die
+}
+
+each_ruby_test() {
+ ${RUBY} -Ilib:.:test:test/lib -e 'Dir["test/**/test_*.rb"].each{|f| require f}' || die
+}
diff --git a/dev-ruby/thor/thor-1.2.1.ebuild b/dev-ruby/thor/thor-1.2.1.ebuild
index f9f2ad391d8f..c1335062ee3a 100644
--- a/dev-ruby/thor/thor-1.2.1.ebuild
+++ b/dev-ruby/thor/thor-1.2.1.ebuild
@@ -53,6 +53,9 @@ all_ruby_prepare() {
# Avoid currently broken readline specs (already fixed upstream)
#rm -f spec/line_editor/readline_spec.rb spec/line_editor_spec.rb || die
+
+ # Avoid spec failing on whitespace difference in error message
+ sed -i -e '/raises an error for unknown switches/askip "whitespace differences"' spec/parser/options_spec.rb || die
}
each_ruby_test() {
diff --git a/dev-ruby/webmock/webmock-3.14.0.ebuild b/dev-ruby/webmock/webmock-3.14.0.ebuild
index 14e65474461e..01c54fdd73ab 100644
--- a/dev-ruby/webmock/webmock-3.14.0.ebuild
+++ b/dev-ruby/webmock/webmock-3.14.0.ebuild
@@ -30,7 +30,6 @@ ruby_add_bdepend "test? (
dev-ruby/rspec:3
>=dev-ruby/test-unit-3.0.0
dev-ruby/rack
- >=dev-ruby/httpclient-2.8.0
)"
all_ruby_prepare() {
@@ -43,19 +42,14 @@ all_ruby_prepare() {
# There is now optional support for curb and typhoeus which we don't
# have in Gentoo yet. em_http_request is available in Gentoo but its
# version is too old. patron's latest version is not compatible.
- sed -i -e '/\(curb\|typhoeus\|em-http\|patron\)/ s:^:#:' spec/spec_helper.rb || die
- rm -f spec/acceptance/{typhoeus,curb,excon,em_http_request,patron,async_http_client}/* || die
+ # httpclient is no longer maintained and has various test failures.
+ sed -i -e '/\(curb\|typhoeus\|em-http\|patron\|httpclient\)/ s:^:#:' spec/spec_helper.rb || die
+ rm -f spec/acceptance/{typhoeus,curb,excon,em_http_request,patron,async_http_client,httpclient}/* || die
# Drop tests for dev-ruby/http for now since this package only works with ruby26
sed -i -e '/http_rb/ s:^:#:' spec/spec_helper.rb || die
rm -f spec/acceptance/http_rb/* || die
- # Avoid httpclient specs that require network access, most likely
- # because mocking does not fully work.
- sed -i -e '/httpclient streams response/,/^ end/ s:^:#:' \
- -e '/are detected when manually specifying Authorization header/,/^ end/ s:^:#:' \
- spec/acceptance/httpclient/httpclient_spec.rb
-
# Avoid specs that require network access
sed -i -e '/when request is not stubbed/,/^ end/ s:^:#:' spec/acceptance/shared/callbacks.rb
}